org.apache.ignite.internal.visor.cache.index

## Class IndexListTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<IndexListTaskArg,Set<IndexListInfoContainer>>
    - - org.apache.ignite.internal.visor.cache.index.IndexListTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<IndexListTaskArg>,Set<IndexListInfoContainer>>

    @GridInternal
    public class IndexListTask
    extends VisorOneNodeTask<IndexListTaskArg,Set<IndexListInfoContainer>>

Task that collects indexes information.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `EMPTY_GROUP_NAME` Empty group name.

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`IndexListTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.cache.index.IndexListTask.IndexListJob` `job(IndexListTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_GROUP_NAME

    public static final String EMPTY_GROUP_NAME

Empty group name.

See Also:
  Constant Field Values

### Constructor Detail

#### IndexListTask

    public IndexListTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.index.IndexListTask.IndexListJob job(IndexListTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<IndexListTaskArg,Set<IndexListInfoContainer>,Set<IndexListInfoContainer>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023